Bug Tracker – Bug 132

Moving around on lifts going down is choppy

Last modified: 2006-09-30 14:32:44 UTC
Bug 132 - Moving around on lifts going down is choppy
Summary: Moving around on lifts going down is choppy
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: (old) 0.0.1
Hardware: x86 (Windows, Linux, etc) All
: P1 normal
Assignee: Denis Lukianov
URL:
Depends on:
Blocks: 122
  Show dependency tree
 
Reported: 2006-02-25 22:08 UTC by Dean Joseph
Modified: 2006-09-30 14:32 UTC (History)
0 users

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Joseph 2006-02-25 22:08:28 UTC
The best example for this bug is UDM3 MAP31. It feels like there's an earthquake going on when you move around on the lift.
Comment 1 Denis Lukianov 2006-02-26 05:07:26 UTC
This happens because on the client, own position changes immediately (client time) and lifts change at server time. When server updates player position, its z is becomes desynced. Then the client fixes it, then it gets a new update, hence an oscillation.
Comment 2 Denis Lukianov 2006-02-26 15:31:33 UTC
Appears that it is choppier when playing with a lower ping. Fascinating.
Comment 3 Mike Lightner 2006-02-26 19:09:50 UTC
Does this really need to be a blocker for RC1?  ST and ZD also suffer from this at least to a degree, making it a bit more acceptable (though annoying nonetheless).  Might I suggest the block on this one be removed?
Comment 4 Mike Lightner 2006-02-26 19:12:29 UTC
whoops didn't mean to actually remove it, only to discuss whether it should be!
Comment 5 Denis Lukianov 2006-03-27 07:00:48 UTC
please test r1228+
Comment 6 Alexander Mayfield 2006-03-27 11:23:51 UTC
Tested, still having issues on UDM3 MAP31, they're visible even when connecting to localhost.
Comment 7 Mike Lightner 2006-09-27 09:45:08 UTC
Is this still a problem?
Comment 8 Russell Rice 2006-09-29 22:22:09 UTC
tested on udm3 as of 30/9/06

looks good to me, smooth as silk
Comment 9 Mike Lightner 2006-09-30 14:32:44 UTC
Actually moving around while on a lift going down seems to be fine.  There are some other oddities that aren't exactly this issue but overall being on a moving lift up or down feels fine.  Marking fixed.